java.lang.reflect

## Class GenericSignatureFormatError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.ClassFormatError
        - - java.lang.reflect.GenericSignatureFormatError

All Implemented Interfaces:
  Serializable

    public class GenericSignatureFormatError
    extends ClassFormatError

Thrown when a syntactically malformed signature attribute is encountered by a reflective method that needs to interpret the generic signature information for a type, method or constructor.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GenericSignatureFormatError()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GenericSignatureFormatError

    public GenericSignatureFormatError()

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.